PeopleForce
Employees

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

List employees positions

GET
/api/public/v1/employees/{employee_id}/positions

Path Parameters

employee_id*integer

Response Body

application/json

curl -X GET "https://example.com/api/public/v1/employees/0/positions"
{  "data": [    {      "id": 0,      "effective_on": "string",      "position": {        "id": 0,        "name": "string",        "created_at": "string",        "updated_at": "string"      },      "location": {        "id": 0,        "name": "string",        "address": null,        "time_zone": "string",        "holiday_policy_id": null,        "created_at": "string",        "updated_at": "string"      },      "division": null,      "department": null,      "job_level": null,      "reporting_to": null,      "legal_entity": null,      "fields": {},      "created_at": "string",      "updated_at": "string"    }  ]}